import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

const manifest = {"name":"scala","displayName":"Scala Syntax (official)","description":"Official Scala Syntax","version":"0.5.9","publisher":"scala-lang","license":"SEE LICENSE IN LICENSE.md","engines":{"vscode":"^1.5.0"},"homepage":"https://github.com/scala/vscode-scala-syntax/blob/main/README.md","repository":{"type":"git","url":"https://github.com/scala/vscode-scala-syntax.git"},"icon":"images/smooth-spiral.png","categories":["Programming Languages"],"contributes":{"languages":[{"id":"scala","aliases":["Scala","scala"],"extensions":[".scala",".sbt",".sc",".mill"],"configuration":"./language-configuration.json"}],"grammars":[{"language":"scala","scopeName":"source.scala","path":"./syntaxes/Scala.tmLanguage.json"}]}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md","changelogPath":"CHANGELOG.md"});


registerFileUrl('CHANGELOG.md', new URL('../assets/scala-lang.scala-0.5.9.vsix/CHANGELOG.md', import.meta.url).href, {"mimeType":"text/markdown","size":43445});

registerFileUrl('README.md', new URL('../assets/scala-lang.scala-0.5.9.vsix/README.md', import.meta.url).href, {"mimeType":"text/markdown","size":1531});

registerFileUrl('images/smooth-spiral.png', new URL('../assets/scala-lang.scala-0.5.9.vsix/smooth-spiral.png', import.meta.url).href, {"mimeType":"image/png","size":12997});

registerFileUrl('language-configuration.json', new URL('../assets/scala-lang.scala-0.5.9.vsix/language-configuration.json', import.meta.url).href, {"mimeType":"application/json","size":920});

registerFileUrl('package.json', new URL('../assets/scala-lang.scala-0.5.9.vsix/package.json', import.meta.url).href, {"mimeType":"application/json","size":2393});

registerFileUrl('syntaxes/Scala.tmLanguage.json', new URL('../assets/scala-lang.scala-0.5.9.vsix/Scala.tmLanguage.json', import.meta.url).href, {"mimeType":"application/json","size":28266});

export { whenReady };
